Subject: Re: bug#36250: [PATCH] Improve a bit frame-resize-pixelwise documentation

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Jun 2019 17:22:28 +0300

> Date: Fri, 28 Jun 2019 16:59:45 +0300
> From: Konstantin Kharlamov <[email-masked]>
> Cc: [email-masked]
> 
> > I think you read "resize a frame" and "set the size of a frame" as
> > referring to the same operation.  But they aren't: the former is about
> > changing the size of an existing frame with a mouse or with
> > set-frame-size, whereas the latter is about doing other things that
> > implicitly require the frame's size to have pixel resolution.
> > 
> > So no, this is not repetition, and should not be removed.
> 
> Right, but the 1st paragraph also says "If this is non-nil, […] frame 
> sizes can increase/decrease by one pixel".

Yes, but it doesn't say you can _set_ the size at pixel granularity to
begin with.

> I.e. this says that setting the variable to non-nil makes further
> operations on frames to have one-pixel resolution

That's your interpretation, but the text doesn't say that, it says
something slightly different.  Thus the second paragraph is not
repetition.